%global _hardened_build 1

%global _for_fedora_koji_builds 0

%if ( 0%{?fedora} && 0%{?fedora} > 16 ) || ( 0%{?rhel} && 0%{?rhel} > 6 )
%global           _with_systemd true
%endif

# From https://fedoraproject.org/wiki/Packaging:Python#Macros
%if ( 0%{?rhel} && 0%{?rhel} <= 5 )
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Summary: Common libraries, tools, configurations for Gluster node and Nagios server add-ons
Name:             gluster-nagios-common
Version:          1.1.0
Release:          0%{?dist}
License:          GPLv2+
Group:            Applications/System
URL:              http://www.redhat.com
Vendor:           Red Hat, Inc.
Source0:          %{name}-%{version}.tar.gz

BuildArch:        noarch
BuildRoot:        %{_tmppath}/%{name}-%{version}-root
BuildRequires:    pyflakes
BuildRequires:    python-pep8
BuildRequires:    python-nose
BuildRequires:    python-devel
BuildRequires:    python-cpopen
BuildRequires:    python-ethtool
BuildRequires:    python-mock
BuildRequires:    python-pthreading
Requires:         python-argparse
Requires:         python-cpopen
Requires:         python-pthreading

%description
Common libraries, tools, configurations for Gluster node and Nagios server add-ons

%package tests
Summary:          Unit/functional tests of Common libraries, tools, configurations for Gluster node and Nagios server add-ons
Group:            Development/Tools
Requires:         %{name} = %{version}-%{release}
Requires:         pyflakes
Requires:         python-pep8
Requires:         python-nose
Requires:         python-devel

%description tests
Unit/functional tests of Common libraries, tools, configurations for Gluster node and Nagios server add-ons

%prep
%setup -q

%build
%{configure}
make

%check
make check

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitearch}/glusternagios/*

%files tests
%defattr(-,root,root,-)
%{_datadir}/%{name}/tests/*

%changelog
* Sat Mar 08 2014 Bala FA <barumuga@redhat.com>
- Initial build.
